      SUBROUTINE VEC23(X,Y,VEC)
      INCLUDE 'com_options.f'
      REAL*8 VEC(3),US3,RAC3,DSR3,SENS,R,USR,TOTO,XX,YY
      DATA US3  / 0.333333333333333 /
      DATA RAC3 / 1.73205080756888  /
      DATA DSR3 / 1.15470053837925  /
C
      SENS = DBLE(ISENS)
      R = DSQRT(DBLE(X)**2+DBLE(Y)**2)
      IF (R.GT.BNOR) THEN
        USR = 1.D0/R
        TOTO = 1.D0
      ELSE
        USR = 1./BNOR
        TOTO = DSQRT(3.D0-2.D0*(USR*R)**2)
      ENDIF
      XX = DBLE(X)*USR
      YY = DBLE(Y)*USR
      VEC(1) = US3*(TOTO-YY-SENS*RAC3*XX)
      VEC(2) = VEC(1) + SENS*DSR3*XX
      VEC(3) = YY + .5D0*(VEC(1)+VEC(2))
      END
